from typing_extensions import NotRequired, TypedDict


class FAIEligibilityStatus(TypedDict):
    isEligible: bool
    ftthStatus: str
    reasonNotEligible: str
    dateCommandable: NotRequired[str]


class Building(TypedDict):
    x: str
    y: str
    idImm: str
    numVoieImm: str
    typeVoieImm: str
    nomVoieImm: str
    codePostal: str
    commune: str
    bat_info: str
    found_in: list[str]
    etat_imm_priority: int = 10
    aquilenetEligStatus: FAIEligibilityStatus
    fdnEligStatus: FAIEligibilityStatus
    othersEligStatus: FAIEligibilityStatus


class AreaCoordinates(TypedDict):
    swx: float
    swy: float
    nex: float
    ney: float


class NetwooEligibility(TypedDict):
    eligStatus: FAIEligibilityStatus
    eligDone: NotRequired[bool]
    nbOperatorsOk: NotRequired[int]
    nbOperatorsErrors: NotRequired[int]
    nbOperatorsPending: NotRequired[int]
    totalOperators: NotRequired[int]
    timeoutSec: NotRequired[int]
    timeoutReached: NotRequired[bool]
    eligOffers: NotRequired[dict]
